/**
 * Style for ApLabel.
 * @constructor ApLabelStyle
 */

"use strict";

import React, {PropTypes as types} from 'react';
import {ApStyle} from 'apeman-react-style';

/** @lends ApLabelStyle */
let ApLabelStyle = React.createClass({
    propTypes: {
        scope: types.bool,
        type: types.string,
        style: types.object
    },
    getDefaultProps() {
        return {
            scoped: false,
            type: 'text/css',
            style: {}
        }
    },
    render() {
        let s = this,
            props = s.props;

        let data = {
                '.ap-label': {
                    display: `inline-block`,
                    padding: `4px 8px`,
                    fontSize: `14px`,
                    color: `#888`
                }
            },
            smallMediaData = {},
            mediumMediaData = {},
            largeMediaData = {};

        return (
            <ApStyle scoped={props.scoped}
                     data={Object.assign(data, props.style)}
                     smallMediaData={smallMediaData}
                     mediumMediaData={mediumMediaData}
                     largeMediaData={largeMediaData}
            >{props.children}</ApStyle>
        );
    }
});

module.exports = ApLabelStyle;
